JIRA 5.2 Compatibility with IDART:Client module

Hello ,

We are currently using JIRA version 4.2 in our organisation and using the IDART::Client perl module to interface and interact with JIRA . As we plan to upgrade to JIRA 5.2 , do you foresee any issue with the IDART::Client perl module interacting with JIRA server 5.2 ?

Note : IDART::Client is an extended interface to iDart's SOAP API.

Regards,

Mohan

2 answers

1 accepted

0 votes
Accepted answer

Hi Nic ,

Are SOAP API in JIRA 5.2 documented somewhere for reference?

0 votes

Yes and no.

SOAP is deprecated in favour of REST in later versions of Jira. But it's not been removed yet, so it should continue to work. The API has not changed a lot (if at all), so if a SOAP call works in 4.2, it's probably going to function in the same way in 5.2.

But there's no way to guarantee that in every case. The only real answer we can give you is "you should be ok, but test it for your usage before you upgrade"

Hi Nic ,

Are SOAP API in JIRA 5.2 documented somewhere for reference?

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Jan 08, 2019 in Jira

How to Jira for designers

I’m a designer on the Jira team. For a long time, I’ve fielded questions from other designers about how they should be using Jira Software with their design team. I’ve also heard feedback from other ...

1,234 views 5 10
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you